#include <stdio.h>
#include <values.h>
#include <math.h>

int main(argc, argv)
int argc;
char **argv;
{
	double fmax=1., dmax=1., lf, ld;
	int ilf, ild;

	fmax = MAXFLOAT;
	dmax = MAXDOUBLE;

	lf = log10(fmax);
	ld = log10(dmax);

	ilf = (int)lf - 8;
	ild = (int)ld - 8;

	printf("Maxfloat : %15.8e, log=%15.5e, i=%d\n", fmax, lf, ilf);
	printf("Maxdouble: %15.8e, log=%15.5e, i=%d\n", dmax, ld, ild);
	printf("m=%d\n", max_double_());

	exit(0);
}

#include <values.h>
int max_double_()
{
#ifndef MAXDOUBLE
#define MAXDOUBLE       MAXFLOAT
#endif
	return (int)(log10(MAXDOUBLE))-8;
}
