#include <stdio.h>
#include <stdlib.h>
#include <stddef.h>
#include "gd.h"

/* get gize of GIF imag */
void get_gifsize (n_x,n_y,n_c, filename)
int *n_x, *n_y, *n_c;
char *filename;
{
    FILE *fp;
    gdImagePtr image;

    /* open GIF file */
    if ((fp = fopen(filename, "rb")) == (FILE *)0) {
	fprintf(stderr, "get_gifsize: can not open file '%s'\n", filename);
	exit(1);
    }
    image = gdImageCreateFromGif(fp);
    fclose(fp);

    /* dimensions for GIF image */
    *n_x = gdImageSX(image);
    *n_y = gdImageSY(image);
    *n_c = gdImageColorsTotal(image);

    /* destroy image */
    gdImageDestroy(image);

    return;
}
