#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define PR      fprintf
#define ER      stderr
int file1[81], file2[81], file3[81];

char *myname="mul";
int main(argc, argv)
int argc;
char **argv;
{
     register int l, k;
     double *cpl1 = (double *)0,   *cl1 = (double *)0;
     double *cpl2 = (double *)0,   *cl2 = (double *)0;
     double *cpl3 = (double *)0,   *cl3 = (double *)0;
     int lmax1=0, lmax2=0, lmax3=0, lm;
     FILE *fp_out=stdout;
     double s = 0.;

     strcpy(file1, argv[1]);
     strcpy(file2, argv[2]);
     strcpy(file3, argv[3]);
/*
     s = atof(argv[2]);
*/
     read_cl_table (file1, &cl1, &cpl1, &lmax1);
     read_cl_table (file2, &cl2, &cpl2, &lmax2);
     read_cl_table (file3, &cl3, &cpl3, &lmax3);

     lm = lmax1 < lmax2 ? lmax1 : lmax2;
     lm = lmax3 < lm ? lmax3 : lm;

     for(l=2; l<=lm; l++) {
/*
	  PR(fp_out, "%d  %14.6e\n", l,  (cl2[l]-cl1[l])/cl1[l]);
*/
	  double sm = (cl2[l]+cl1[l])/2.;
	  sm = sqrt((4 * sm - cl3[l]) / 3 / sm);
	  PR(fp_out, "%d  %14.6e\n", l,  sm);
     }

     exit(0);
}
